View Issue Details

IDProjectCategoryView StatusLast Update
0016138MediaMonkey 5Otherpublic2021-07-27 19:57
Reporterpeke Assigned To 
PriorityurgentSeveritytweakReproducibilitysometimes
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0016138: Waveform seekbar: Tracks Waveform is not fully calculated
DescriptionIt happened to me few times during prolonged testing of playback, but can't replicate constantly.

We should add that when Waveform Seekbar is shown MM5 should be capable to check if correct one is generated eg. length of Waveform is lower than track length.

But occurs randomly and it is not format dependent, like generating task is terminated and partial waveform data is cached.

Only way to correct it is to either delete all wavedata cache or if track is not volume analyzed to analize as it tells mm5 to rehash wavedata. So this check would prevent such cases.
TagsNo tags attached.
Fixed in build2416

Relationships

related to 0017754 closedmichal Hide "Analyze Waveform" menu item / Automatic waveform generation often fails 
related to 0017983 closedmichal Player Progress failed to show 
related to 0018004 closedmichal Waveform analysis data isn't retained for for certain tracks 

Activities

peke

2019-11-23 00:43

developer  

Snap2.png (36,135 bytes)   
Snap2.png (36,135 bytes)   

rusty

2019-11-24 00:36

administrator   ~0055476

Peke, is this more likely to occur with certain tracks or file formats? If yes, can you provide a couple of sample tracks that it occurred with?

peke

2019-11-28 19:43

developer   ~0055539

Assigned to see if it is easy to add/fix otherwise postpone for 5.1

michal

2019-12-05 13:14

developer   ~0055601

Last edited: 2019-12-05 13:15

View 2 revisions

1) During fixes related to this issue I have uncovered serious problem, that is causing freeze or crash, when waveform is going to be computed. It needs to be fixed immediately, increasing priority.
2) maybe we could add some "recompute waveform" context menu item above waveform seekbar, the file could be changed outside MediaMonkey and user could want to recompute waveform even in case it was computed previously till the end.

michal

2019-12-07 14:04

developer   ~0055608

Last edited: 2019-12-07 14:06

View 3 revisions

1) fixed in build 2219.

3) there is problem related to some MP3 VBR files, that do not contain correct samples count, such have displayed waveform in wrong proportions.

michal

2019-12-07 18:30

developer   ~0055609

2) implemented "Update waveform" feature in build 2219, it recalculates waveform, so no need to delete manually from cache

michal

2019-12-17 13:53

developer   ~0055711

Fixed in build 2220. Some VBR files still could have slightly inaccurate waveform, but it should be only minor difference now.

peke

2020-01-15 02:22

developer   ~0055861

Verified 2220

I am not being able to find any file whose waveform is not correctly calculated.

michal

2021-06-08 08:36

developer   ~0063805

Should be fixed in 2413. I have reproduced it occasionally by the same steps as here: https://www.ventismedia.com/mantis/view.php?id=17754#c63734
It is fixed now.

rusty

2021-06-08 22:28

administrator   ~0063824

Verified at 0017754.

michal

2021-06-11 07:08

developer   ~0063896

lowlander: was it on clean installation with empty Temp? In case wrong waveform was already saved to Portable\Temp\Waveforms folder before, it is used. The only way of detecting wrong waveform is recompute it again, but we prefer speed and lower CPU load.

lowlander

2021-06-11 15:07

developer   ~0063898

No, not a clean install,but the file had never been played. It just happened on another file as well.
image-2.png (15,861 bytes)   
image-2.png (15,861 bytes)   

michal

2021-06-14 19:54

developer   ~0063929

Fixed in build 2416.

peke

2021-06-20 12:40

developer   ~0064018

Verification concluded with 2418

I have not observed this in past three version, but Calculation seams a fraction slower.

Please close after second verification.

lowlander

2021-07-27 19:57

developer   ~0064306

Not seen on recent builds (up to 2427)